Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.huguesjohnson.tiamat
Enum IAdventureCommands.Parameters

    java.lang.Object
      java.lang.Enum<IAdventureCommands.Parameters>
          com.huguesjohnson.tiamat.IAdventureCommands.Parameters

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IAdventureCommands.Parameters>

Enclosing interface:
  IAdventureCommands

    public static enum IAdventureCommands.Parameters

extends java.lang.Enum<IAdventureCommands.Parameters>

enum containing all supported action parameters.

Enum Constant Summary
`CHARACTER`
`CONDITION`
`EXIT`
`FRAME`
`ITEM`
`LOCATION`
`NEWLOCATION`
`NEXTFRAME`
`OLDLOCATION`
`SEQUENCE`
`TARGET`
`TEXT`

Method Summary
`java.lang.String` | `value()`
`static IAdventureCommands.Parameters` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IAdventureCommands.Parameters[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CHARACTER

    public static final IAdventureCommands.Parameters CHARACTER

### CONDITION

    public static final IAdventureCommands.Parameters CONDITION

### EXIT

    public static final IAdventureCommands.Parameters EXIT

### FRAME

    public static final IAdventureCommands.Parameters FRAME

### ITEM

    public static final IAdventureCommands.Parameters ITEM

### LOCATION

    public static final IAdventureCommands.Parameters LOCATION

### NEWLOCATION

    public static final IAdventureCommands.Parameters NEWLOCATION

### NEXTFRAME

    public static final IAdventureCommands.Parameters NEXTFRAME

### OLDLOCATION

    public static final IAdventureCommands.Parameters OLDLOCATION

### SEQUENCE

    public static final IAdventureCommands.Parameters SEQUENCE

### TARGET

    public static final IAdventureCommands.Parameters TARGET

### TEXT

    public static final IAdventureCommands.Parameters TEXT

Method Detail

### values

    public static final IAdventureCommands.Parameters[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IAdventureCommands.Parameters c : IAdventureCommands.Parameters.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IAdventureCommands.Parameters valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public java.lang.String value()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2004-2006 Hugues Johnson